#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include "mmc.h"
#include "SD_CardII.h"


void main (void)
{

 	SPI_MasterInit();

	#if DEBUG					// Setzt definierten Port "High" -> LED leuchtet
	MMC_Write|=(1 << SPI_Debug);
	#endif

	while (mmc_init()!=0);		// Init bis das Karte erkennt wird
		
	while(1)
	{
		mmc_write_byte(0xEE);	// Dauerhaftes Schreiben von EEh
		
		#if DEBUG				// Im DEBUG-Mode wird LED jede Sekunde getoggelt				
		MMC_Write^=(1 << SPI_Debug);
		_delay_ms(1000);
		#endif
	}
}

